package com.platform.pojo;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.io.Serializable;

@XmlType(propOrder = { "planId","visitDate","sectionNo", "sectionName","doctorNo","doctorName","technicalId","technicalName","regTypeId","regTypeName","statusFlag","statusName"})
public class OrderTicket implements Serializable{

    private static final long serialVersionUID = -2309401882275718718L;

    private  String planId;//号表主键
    private String visitDate;//就诊日期
    private  String sectionNo;//预约科室编码
    private String sectionName;//预约科室名称
    private String doctorNo;//预约医生编码
    private String doctorName;//预约医生姓名
    private String technicalId;//医师级别id
    private String technicalName;//医师级别名称
    private String statusFlag;//预约状态flag
    private String statusName;//预约状态
    private String regTypeId;//挂号类型编码：AM-上午 PM-下午
    private String regTypeName;//挂号类型名称：上午、下午

    @XmlElement(name = "technicalId")
    public String getTechnicalId() {
        return technicalId;
    }

    public void setTechnicalId(String technicalId) {
        this.technicalId = technicalId;
    }
    @XmlElement(name = "technicalName")
    public String getTechnicalName() {
        return technicalName;
    }

    public void setTechnicalName(String technicalName) {
        this.technicalName = technicalName;
    }

    @XmlElement(name = "regTypeId")
    public String getRegTypeId() {
        return regTypeId;
    }

    public void setRegTypeId(String regTypeId) {
        this.regTypeId = regTypeId;
    }
    @XmlElement(name = "regTypeName")
    public String getRegTypeName() {
        return regTypeName;
    }

    public void setRegTypeName(String regTypeName) {
        this.regTypeName = regTypeName;
    }

    @XmlElement(name = "planId")
    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }
    @XmlElement(name = "visitDate")
    public String getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(String visitDate) {
        this.visitDate = visitDate;
    }
    @XmlElement(name = "sectionNo")
    public String getSectionNo() {
        return sectionNo;
    }

    public void setSectionNo(String sectionNo) {
        this.sectionNo = sectionNo;
    }
    @XmlElement(name = "sectionName")
    public String getSectionName() {
        return sectionName;
    }

    public void setSectionName(String sectionName) {
        this.sectionName = sectionName;
    }
    @XmlElement(name = "doctorNo")
    public String getDoctorNo() {
        return doctorNo;
    }

    public void setDoctorNo(String doctorNo) {
        this.doctorNo = doctorNo;
    }
    @XmlElement(name = "doctorName")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }
    @XmlElement(name = "statusFlag")
    public String getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(String statusFlag) {
        this.statusFlag = statusFlag;
    }
    @XmlElement(name = "statusName")
    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }
}
